Scripts
Create subscription bundle
Create a discounted creator subscription offer for durationMonths of 6 or 12 and discountPercent from 0 to 50. This bundles subscription months rather than standalone media.
POST
/v1/agencies/{agencyId}/creators/{creatorId}/subscription-bundlesCreate a discounted creator subscription offer for durationMonths of 6 or 12 and discountPercent from 0 to 50. This bundles subscription months rather than standalone media.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/creators/string/subscription-bundles" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "durationMonths": 6, "discountPercent": 0 }'{ "data": { "id": "string", "discount": 0, "duration": 0, "price": 0 }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}